---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Get a list of inApp campaigns

Shows the list of inApp campaigns for an application.
The parameters __limit__ (number of items to display per page, max: 100), __page__ (number of the page shown, min: 0) and __aplicationId__ (application id) are required. To filter you can use the parameters __find__ (to find the name of the inApp), __enabled__ (state of the campaign), __platform__ `(platform type: ios, android,webpush ...)`.
To order you can use the parameter __orderBy__ (Name A-Z, Name Z-A, Date ascending, Date descending)

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "inapp-campaign",
      "x-displayName": "InApp - Campaign"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/inapp/campaign": {
      "get": {
        "summary": "Get a list of inApp campaigns",
        "description": "Shows the list of inApp campaigns for an application.\nThe parameters __limit__ (number of items to display per page, max: 100), __page__ (number of the page shown, min: 0) and __aplicationId__ (application id) are required. To filter you can use the parameters __find__ (to find the name of the inApp), __enabled__ (state of the campaign), __platform__ `(platform type: ios, android,webpush ...)`.\nTo order you can use the parameter __orderBy__ (Name A-Z, Name Z-A, Date ascending, Date descending)",
        "x-eov-operation-handler": "campaignController",
        "x-gateway-endpoint": "inappService",
        "operationId": "iaGetCampaigns",
        "x-gateway-check-permission": {
          "account-features": [
            "INAPP_V2_ENABLED"
          ]
        },
        "tags": [
          "inapp-campaign"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "applicationId",
            "required": true,
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "required": true,
            "description": "results per page",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": true,
            "description": "page of results",
            "schema": {
              "type": "integer",
              "minimum": 0
            }
          },
          {
            "in": "query",
            "name": "find",
            "description": "filters for inApp's name",
            "schema": {
              "type": "string"
            },
            "allowEmptyValue": true
          },
          {
            "in": "query",
            "name": "enabled",
            "description": "filters for status inApp(Active, true or not active, false)",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "platforms",
            "required": false,
            "description": "filters by platforms (android, ios, webpush, safari, harmony)",
            "style": "form",
            "explode": false,
            "allowReserved": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "android",
                  "ios",
                  "webpush",
                  "safari",
                  "harmony"
                ]
              }
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "filters by order(name or date, asc o desc)",
            "schema": {
              "type": "string",
              "enum": [
                "Name A-Z",
                "Name Z-A",
                "Date ascending",
                "Date descending"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/INAPP_CampaignListResponse"
          },
          "400": {
            "description": "Parameters missing or not in right format",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Invalid credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Operation forbidden for your user",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/INAPP_ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "INAPP_ErrorResponse": {
        "required": [
          "message",
          "statusCode"
        ],
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "INAPP_START_DATE_INVALID",
              "INAPP_END_DATE_INVALID",
              "INAPP_CAMPAIGN_NOT_FOUND",
              "INAPP_CSV_EMPTY",
              "INAPP_BAD_CSV_FORMAT",
              "INAPP_AUDIENCE_CUSTOM_DATA_NOT_VALID",
              "INAPP_SCHEMA_CODE_ALREADY_EXISTS",
              "INAPP_SCHEMA_NOT_FOUND",
              "INAPP_SCHEMA_USED_IN_CAMPAIGN",
              "INAPP_TOPIC_NOT_FOUND",
              "INAPP_TOPIC_ALREADY_EXISTS",
              "INAPP_TOPIC_PARENT_NOT_FOUND",
              "INAPP_TOPIC_IN_USE",
              "INAPP_MULTIMEDIA_LIMIT_EXCEEDED",
              "INAPP_MULTIMEDIA_NOT_FOUND"
            ],
            "description": "* `INAPP_START_DATE_INVALID` - Invalid start date * `INAPP_END_DATE_INVALID` - Invalid end date or invalid range * `INAPP_CAMPAIGN_NOT_FOUND` - Campaign not found\n* `INAPP_CSV_EMPTY` * `INAPP_BAD_CSV_FORMAT`\n* `INAPP_AUDIENCE_CUSTOM_DATA_NOT_VALID` - The audiences customData does not contains campaigns customData\n* `INAPP_SCHEMA_CODE_ALREADY_EXISTS` - A scheme with the same code already exists * `INAPP_SCHEMA_NOT_FOUND` - Schema not found * `INAPP_SCHEMA_USED_IN_CAMPAIGN` - The schema is used in a campaign and cannot be deleted\n* `INAPP_TOPIC_NOT_FOUND` - Topic not found * `INAPP_TOPIC_ALREADY_EXISTS` - There is already a topic with this same code * `INAPP_TOPIC_PARENT_NOT_FOUND` - A nonexistent parentId has been use * `INAPP_TOPIC_IN_USE` - Topic in use by a campaign\n* `INAPP_MULTIMEDIA_LIMIT_EXCEEDED` - The maximum number of media elements associated with a campaign has been exceeded * `INAPP_MULTIMEDIA_NOT_FOUND` - Multimedia item not found\n"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      }
    },
    "responses": {
      "INAPP_CampaignListResponse": {
        "description": "Success",
        "content": {
          "application/json": {
            "schema": {
              "additionalProperties": false,
              "required": [
                "statusCode",
                "message",
                "data",
                "count"
              ],
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Response code"
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually OK"
                },
                "count": {
                  "type": "number",
                  "description": "Counter total registers"
                },
                "data": {
                  "type": "array",
                  "description": "Array of InApp",
                  "items": {
                    "additionalProperties": false,
                    "type": "object",
                    "required": [
                      "id",
                      "applicationId",
                      "createdAt",
                      "updatedAt",
                      "name",
                      "platforms",
                      "enabled"
                    ],
                    "properties": {
                      "id": {
                        "type": "integer",
                        "description": "inApp's id"
                      },
                      "createdAt": {
                        "type": "string",
                        "description": "Creation date. ISO date format - 8601"
                      },
                      "updatedAt": {
                        "type": "string",
                        "description": "Update date. ISO date format - 8601"
                      },
                      "applicationId": {
                        "type": "integer",
                        "description": "Application's id"
                      },
                      "name": {
                        "type": "string",
                        "description": "inApp's name"
                      },
                      "enabled": {
                        "type": "boolean",
                        "description": "If inApp's campaign is enabled"
                      },
                      "platforms": {
                        "type": "array",
                        "description": "array of platforms",
                        "items": {
                          "type": "string",
                          "enum": [
                            "android",
                            "ios",
                            "webpush",
                            "safari",
                            "harmony"
                          ],
                          "description": "inApp's platform"
                        }
                      },
                      "startDate": {
                        "description": "Start Date for inApp or inWep action. The format is ISO 8601, UTC-0\n\n  Ex: \n    \n    2019-02-13T08:18:39.632Z\n",
                        "nullable": true,
                        "format": "date-time",
                        "type": "string"
                      },
                      "endDate": {
                        "description": "End Date for inApp or inWep action. The format is ISO 8601, UTC-0\n\n  Ex: \n    \n    2019-02-13T08:18:39.632Z\n",
                        "nullable": true,
                        "format": "date-time",
                        "type": "string"
                      },
                      "prints": {
                        "type": "integer",
                        "description": "Total number of prints",
                        "default": 0
                      },
                      "clicks": {
                        "type": "integer",
                        "description": "Total number of clicks",
                        "default": 0
                      },
                      "ctr": {
                        "type": "number",
                        "format": "double",
                        "description": "Click-through rate (clicks / prints)",
                        "default": 0
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```